ReferenceCompanies
Create a company representative
Assigns a representative to the company and returns the stored row. Requires `Permissions.Companies.Create`.
POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
companyId*integerFormat
int32application/json- body
address1?|Length
length <= 80address2?|Length
length <= 80city?|Length
length <= 50companyId?|Format
int32country?|Length
length <= 80dateOfBirth?|Format
date-timedateOfNameDay?|Format
date-timeemail?|Length
length <= 80eshopRepresentativeId?string|nullfax?|Length
length <= 20functionId?|Format
int32id?|Format
int32isInformEnabled?boolean|nullmobilePhone?|Length
length <= 20name?|Length
length <= 50note?string|nullphone?|Length
length <= 20surname?|Length
length <= 50title?|Length
length <= 10zipCode?|Length
length <= 6application/json- response
address1?|Length
length <= 80address2?|Length
length <= 80city?|Length
length <= 50companyId?|Format
int32country?|Length
length <= 80dateOfBirth?|Format
date-timedateOfNameDay?|Format
date-timeemail?|Length
length <= 80eshopRepresentativeId?string|nullfax?|Length
length <= 20functionId?|Format
int32id?|Format
int32isInformEnabled?boolean|nullmobilePhone?|Length
length <= 20name?|Length
length <= 50note?string|nullphone?|Length
length <= 20surname?|Length
length <= 50title?|Length
length <= 10zipCode?|Length
length <= 6curl -X POST 'https://<your-instance>/api/companies/0/representatives' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "address1": "Street 1", "address2": "District 2", "city": "New York", "companyId": 2, "country": "USA", "dateOfBirth": "1990-01-01T00:00:00", "dateOfNameDay": "2025-05-24T00:00:00", "email": "[email protected]", "fax": "777888999", "isInformEnabled": true, "mobilePhone": "111555666", "name": "New Representative", "note": "Test note", "phone": "444555666", "surname": "Deer", "title": "Phd", "zipCode": "13550"}'{ "address1": "string", "address2": "string", "city": "string", "companyId": 0, "country": "string", "dateOfBirth": "2019-08-24T14:15:22Z", "dateOfNameDay": "2019-08-24T14:15:22Z", "email": "string", "eshopRepresentativeId": "string", "fax": "string", "functionId": 0, "id": 0, "isInformEnabled": true, "mobilePhone": "string", "name": "string", "note": "string", "phone": "string", "surname": "string", "title": "string", "zipCode": "string"}List a company's representatives GET
Returns the sales representatives assigned to this company. Requires `Permissions.Companies.View`.
Get a company representative GET
Returns one representative of the company. 404 when `representativeId` does not belong to `companyId`. Requires `Permissions.Companies.View`.